Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

Unable to use perl

Help
Underneath
2009-05-19
2013-06-05
  • Underneath
    Underneath
    2009-05-19

    The shell i have doesn't have perl installed but since linux is rather new for me i'm not sure how to install latest perl packages.

    the version i have is ( i think ) : GNU bash, version 3.1.17(1)-release (i486-pc-linux-gnu)

    And from here i'm lost.

    When i install ZNC it says:
    checking for perl... /usr/bin/perl
    checking for perl_alloc in -lperl... no
    configure: error: could not find libperl. Try --disable-perl

    And since i wanted to install znc-extra package i think i need this.

    Any ideas?

     
    • Psychon
      Psychon
      2009-05-20

      Yeah, you don't need perl. Just use --disable-perl and be done.
      You only ever need perl if you want to write modules in perl.